OpenVDB 11.0.0

Loading...
Searching...
No Matches
Classes | Namespaces | Functions
GridValidator.h File Reference

Checks the validity of an existing NanoVDB grid. More...

`#include <nanovdb/NanoVDB.h>`
`#include "GridChecksum.h"`

Go to the source code of this file.

## Classes
class | GridValidator< ValueT >
| Allows for the construction of NanoVDB grids without any dependecy. More...

## Namespaces
namespace | nanovdb
| Convert a base-pointer to an openvdb grid, denoted srcGrid, to a nanovdb grid of the same type, e.g. float -> float or openvdb::Vec3f -> nanovdb::Vec3f.

## Functions
template<typename ValueT >
bool | isValid (const NanoGrid< ValueT > &grid, bool detailed=true, bool verbose=false)
| Return true if the specified grid passes several validation tests.

## Detailed Description

Checks the validity of an existing NanoVDB grid.

Author
  Ken Museth

Date
  August 30, 2020